## com.baidubce.services.bos.model
Class DoesBucketExistRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.DoesBucketExistRequest

    public class DoesBucketExistRequest

extends GenericBucketRequest

Constructor Summary
`DoesBucketExistRequest(String bucketName)`

Method Summary
`DoesBucketExistRequest` `withBucketName(String bucketName)`
`DoesBucketExistRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoesBucketExistRequest

    public DoesBucketExistRequest(String bucketName)

Method Detail

### withRequestCredentials

    public DoesBucketExistRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public DoesBucketExistRequest withBucketName(String bucketName)

  Specified by:
    `withBucketName` in class `GenericBucketRequest`

Copyright © 2016. All rights reserved.